#include <bits/stdc++.h>

using namespace std;

struct jabuke
{
    double procenat;
    int cena;
};

jabuke niz[1000010];


bool gr(jabuke a, jabuke b)
{
    return a.procenat>b.procenat;
}

int main()
{
    ios::sync_with_stdio(false);
	cin.tie(0);

    int n;
    cin>>n;

    int c;
    double p;
    for(int i=0;i<n;i++)
    {
        cin>>c>>p;
        niz[i].cena=c;
        niz[i].procenat=p;
    }

    sort(niz,niz+n,gr);

    /*for(int i=0;i<n;i++)
        cout<<niz[i].cena<<endl;*/

    cout<<fixed;
    cout<<setprecision(5);
    double zarada,maxzarada=0;
    long long zbir=0;
    for(int i=0;i<n;i++)
    {
        zbir+=niz[i].cena;
        zarada=(zbir/100.00)*niz[i].procenat;
        //cout<<zarada<<endl;
        maxzarada=max(maxzarada,zarada);
    }

    cout<<maxzarada;
}